VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Ovf::LibraryItem::CreateResult Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Ovf::LibraryItem::CreateResult:

## Avaliable Methods
public method | set_error ()
public method | get_ovf_library_item_id ()
public method | get_succeeded ()
public method | get_error ()
public method | set_ovf_library_item_id ()
public method | new ()
public method | set_succeeded ()

## Detailed Description

The `Com::Vmware::Vcenter::Ovf::LibraryItem::CreateResult` class defines the result of the `create` method . See :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.create` .

## Member Function Documentation

public method Com::Vmware::Vcenter::Ovf::LibraryItem::CreateResult::get_error | ( |  | ) |

Gets the value of 'error' property.

Return values

  error | - The current value of the field. Errors, warnings, and informational messages produced by the `create` method . Optional#

Code:
click to view
# Number of lines of code in get_error: 4
sub get_error {
my ($self, %args) = @_;
return $self->{'error'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::CreateResult::get_ovf_library_item_id | ( |  | ) |

Gets the value of 'ovf_library_item_id' property.

Return values

  ovf_library_item_id | - The current value of the field. Identifier of the created or updated library item. Optional#

Code:
click to view
# Number of lines of code in get_ovf_library_item_id: 4
sub get_ovf_library_item_id {
my ($self, %args) = @_;
return $self->{'ovf_library_item_id'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::CreateResult::get_succeeded | ( |  | ) |

Gets the value of 'succeeded' property.

Return values

  succeeded | - The current value of the field. Whether the `create` method completed successfully. boolean#

Code:
click to view
# Number of lines of code in get_succeeded: 4
sub get_succeeded {
my ($self, %args) = @_;
return $self->{'succeeded'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::CreateResult::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Ovf::LibraryItem::CreateResult structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 20
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{succeeded} = $args{'succeeded'};
$self->{ovf_library_item_id} = $args{'ovf_library_item_id'};
$self->{error} = $args{'error'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Ovf::LibraryItem::CreateResult');
$self->set_binding_name('name' => 'com.vmware.vcenter.ovf.library_item.create_result');
$self->set_binding_field('key' => 'succeeded', 'value' => new Com::Vmware::Vapi::Bindings::Type::BooleanType());
$self->set_binding_field('key' => 'ovf_library_item_id', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'error', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Ovf', 'type_name' => 'LibraryItem::ResultInfo')));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::CreateResult::set_error | ( |  | ) |

Sets the given value for 'error' property.

Parameters

  error | - New value for the field. Errors, warnings, and informational messages produced by the `create` method .

Code:
click to view
# Number of lines of code in set_error: 5
sub set_error {
my ($self, %args) = @_;
$self->{'error'} = $args{'error'};
return;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::CreateResult::set_ovf_library_item_id | ( |  | ) |

Sets the given value for 'ovf_library_item_id' property.

Parameters

  ovf_library_item_id | - New value for the field. Identifier of the created or updated library item.

Code:
click to view
# Number of lines of code in set_ovf_library_item_id: 5
sub set_ovf_library_item_id {
my ($self, %args) = @_;
$self->{'ovf_library_item_id'} = $args{'ovf_library_item_id'};
return;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::CreateResult::set_succeeded | ( |  | ) |

Sets the given value for 'succeeded' property.

Parameters

  succeeded | - New value for the field. Whether the `create` method completed successfully.

Code:
click to view
# Number of lines of code in set_succeeded: 5
sub set_succeeded {
my ($self, %args) = @_;
$self->{'succeeded'} = $args{'succeeded'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Ovf/LibraryItem.pm